com.jogamp.opengl.util.glsl.fixedfunc

## Enum ShaderSelectionMode

- java.lang.Object
- - java.lang.Enum<ShaderSelectionMode>
  - - com.jogamp.opengl.util.glsl.fixedfunc.ShaderSelectionMode

- All Implemented Interfaces:
    Serializable, Comparable<ShaderSelectionMode>

      public enum ShaderSelectionMode
      extends Enum<ShaderSelectionMode>

  Shader selection mode
  See Also:
    `AUTO`, `COLOR`, `COLOR_LIGHT_PER_VERTEX`, `ShaderSelectionMode#COLOR_TEXTURE`, `ShaderSelectionMode#COLOR_TEXTURE_LIGHT_PER_VERTEX`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Auto shader selection, based upon FFP states.
    `COLOR` Fixed shader selection: Simple color.
    `COLOR_LIGHT_PER_VERTEX` Fixed shader selection: Color with vertex-lighting.
    `COLOR_TEXTURE2` Fixed shader selection: Multi-Textured color.
    `COLOR_TEXTURE4` Fixed shader selection: Multi-Textured color.
    `COLOR_TEXTURE8` Fixed shader selection: Multi-Textured color.
    `COLOR_TEXTURE8_LIGHT_PER_VERTEX` Fixed shader selection: Multi-Textured color with vertex-lighting.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShaderSelectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShaderSelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final ShaderSelectionMode AUTO

      Auto shader selection, based upon FFP states.

    - #### COLOR

          public static final ShaderSelectionMode COLOR

      Fixed shader selection: Simple color.

    - #### COLOR_TEXTURE2

          public static final ShaderSelectionMode COLOR_TEXTURE2

      Fixed shader selection: Multi-Textured color. 2 texture units.

    - #### COLOR_TEXTURE4

          public static final ShaderSelectionMode COLOR_TEXTURE4

      Fixed shader selection: Multi-Textured color. 4 texture units.

    - #### COLOR_TEXTURE8

          public static final ShaderSelectionMode COLOR_TEXTURE8

      Fixed shader selection: Multi-Textured color. 8 texture units.

    - #### COLOR_LIGHT_PER_VERTEX

          public static final ShaderSelectionMode COLOR_LIGHT_PER_VERTEX

      Fixed shader selection: Color with vertex-lighting.

    - #### COLOR_TEXTURE8_LIGHT_PER_VERTEX

          public static final ShaderSelectionMode COLOR_TEXTURE8_LIGHT_PER_VERTEX

      Fixed shader selection: Multi-Textured color with vertex-lighting. 8 texture units.

  - ### Method Detail

    - #### values

          public static ShaderSelectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShaderSelectionMode c : ShaderSelectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShaderSelectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.